#include "i2c.h"
#include "uart.h"
#include "stdlib.h"
int seconds,minutes,hours;
char string[40];
uint8_t rtc_data [3];

int bcd_to_decimal(unsigned char x) {
    return x - 6 * (x >> 4);
}

int main()
	{
		srand(1);
		USART2_Init();
		i2c_init();
		i2c_bus_scan();
	while(1)
		
		{
			i2c_ReadMulti(0x68,0x00,3,(char *)rtc_data);
			seconds=bcd_to_decimal(rtc_data[0]);
			minutes=bcd_to_decimal(rtc_data[1]);
			hours=bcd_to_decimal(rtc_data[2]);
			if(seconds==5)
						{
						
						uint8_t data_s[3]={0,rand()%20,rand()%10}; //seconds,minutes,hours
						i2c_WriteMulti(0x68,0x00,(char *)data_s,3);
						}
			sprintf(string,"%u : %u : %u \r\n",hours,minutes,seconds);
			UART_Write_String(string);
			for (int i=0;i<100000;i++);
			}
		}
	
